Bug 444358 - squiggle doesn't run
squiggle doesn't run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: batik (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-27 14:34 EDT by Mark Wielaard
Modified: 2008-05-13 11:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 11:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Wielaard 2008-04-27 14:34:10 EDT
Description of problem:

Running squiggle throw an exception on startup.

Version-Release number of selected component (if applicable):

batik-squiggle-1.7-0.1.beta1.noarch

How reproducible:

Always.

Steps to Reproduce:

$ squiggle
  
Actual results:

Exception in thread "main" java.lang.NoClassDefFoundError:
org/apache/batik/util/gui/resource/ActionMap
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:637)
	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
	at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
	at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:323)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:268)
	at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:336)
Caused by: java.lang.ClassNotFoundException:
org.apache.batik.util.gui.resource.ActionMap
	at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:323)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:268)
	at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:336)
	... 12 more


Expected results:

squiggle actually starting up.
Comment 1 Mark Wielaard 2008-04-27 17:06:37 EDT
The problem is that not all required jars are included in the startup script.
This should fix it:

--- squiggle.orig	2008-04-27 22:58:51.000000000 +0200
+++ /usr/bin/squiggle	2008-04-27 23:02:01.000000000 +0200
@@ -23,8 +23,7 @@
 
 # Configuration
 MAIN_CLASS=org.apache.batik.apps.svgbrowser.Main
-#BASE_JARS="xerces-j2.jar rhino.jar batik-all.jar ${build-classpath
batik-squiggle}"
-BASE_JARS="batik-squiggle.jar"
+BASE_JARS="batik-squiggle.jar batik-all.jar rhino.jar xml-commons-apis.jar
xml-commons-apis-ext.jar"
 # Set parameters
 set_jvm
 set_classpath $BASE_JARS
Comment 2 Fedora Update System 2008-04-28 16:03:13 EDT
batik-1.7-0.4.beta1 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-05-13 11:19:58 EDT
batik-1.7-0.4.beta1 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.